cascading.flow.tez

## Class Hadoop2TezFlow

- java.lang.Object
- - cascading.flow.BaseFlow<org.apache.tez.dag.api.TezConfiguration>
  - - cascading.flow.tez.Hadoop2TezFlow

- All Implemented Interfaces:
    Flow<org.apache.tez.dag.api.TezConfiguration>, UnitOfWork<FlowStats>, ProcessLogger

      public class Hadoop2TezFlow
      extends BaseFlow<org.apache.tez.dag.api.TezConfiguration>

  Class HadoopFlow is the Apache Hadoop specific implementation of a `Flow`.

  HadoopFlow must be created through a `Hadoop2TezFlowConnector` instance.

  If classpath paths are provided on the `FlowDef`, the Hadoop distributed cache mechanism will be used to augment the remote classpath.

  Any path elements that are relative will be uploaded to HDFS, and the HDFS URI will be used on the JobConf. Note all paths are added as "files" to the JobConf, not archives, so they aren't needlessly uncompressed cluster side.
  See Also:
    `Hadoop2TezFlowConnector`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.BaseFlow

      `BaseFlow.FlowHolder`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.BaseFlow

      `flowCanonicalHash, flowDescriptor, flowElementGraph, flowStats, flowStepGraph, platformInfo, sinks, sources, steps, stop, stopJobsOnExit, thread`

    - ### Fields inherited from interface cascading.flow.Flow

      `CASCADING_FLOW_ID`

    - ### Fields inherited from interface cascading.util.ProcessLogger

      `NULL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Hadoop2TezFlow()`
    `` | `Hadoop2TezFlow(PlatformInfo platformInfo, Map<Object,Object> properties, org.apache.tez.dag.api.TezConfiguration flowConf, FlowDef flowDef)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.tez.dag.api.TezConfiguration` | `getConfig()` Method getConfig returns the internal configuration object.
    `Map<Object,Object>` | `getConfigAsProperties()` Method getConfigAsProperties converts the internal configuration object into a `Map` of key value pairs.
    `org.apache.tez.dag.api.TezConfiguration` | `getConfigCopy()` Method getConfigCopy returns a copy of the internal configuration object.
    `FlowProcess<org.apache.tez.dag.api.TezConfiguration>` | `getFlowProcess()`
    `String` | `getFlowStagingPath()`
    `protected int` | `getMaxNumParallelSteps()`
    `String` | `getProperty(String key)` Method getProperty returns the value associated with the given key from the underlying properties system.
    `protected long` | `getTotalSliceCPUMilliSeconds()`
    `protected void` | `initConfig(Map<Object,Object> properties, org.apache.tez.dag.api.TezConfiguration parentConfig)` This method creates a new internal Config with the parentConfig as defaults using the properties to override the defaults.
    `protected void` | `initFromProperties(Map<Object,Object> properties)`
    `protected void` | `internalClean(boolean stop)`
    `protected void` | `internalShutdown()`
    `protected void` | `internalStart()`
    `boolean` | `isPreserveTemporaryFiles()` Method isPreserveTemporaryFiles returns false if temporary files will be cleaned when this Flow completes.
    `protected org.apache.tez.dag.api.TezConfiguration` | `newConfig(org.apache.tez.dag.api.TezConfiguration defaultConfig)`
    `protected void` | `setConfigProperty(org.apache.tez.dag.api.TezConfiguration config, Object key, Object value)`
    `boolean` | `stepsAreLocal()` Method jobsAreLocal returns true if all jobs are executed in-process as a single map and reduce task.

    - ### Methods inherited from class cascading.flow.BaseFlow

      `addListener, addPlannerProperties, addSessionProperties, addStepListener, areSinksStale, areSourcesNewer, cleanup, complete, createConfig, createFlowCanonicalHash, createFlowStats, createFlowThread, createPrepareFlowStats, deleteCheckpointsIfNotUpdate, deleteCheckpointsIfReplace, deleteSinks, deleteSinksIfNotUpdate, deleteSinksIfReplace, deleteTrapsIfNotUpdate, deleteTrapsIfReplace, fireOnCompleted, fireOnStarting, fireOnStopping, fireOnThrowable, fireOnThrowable, getCascadeID, getCascadingServices, getCheckpointNames, getCheckpoints, getCheckpointsCollection, getClassPath, getClientState, getFieldsFor, getFlowCanonicalHash, getFlowDescriptor, getFlowSession, getFlowSkipStrategy, getFlowStats, getFlowSteps, getFlowStepStrategy, getHolder, getID, getName, getPlannerInfo, getPlatformInfo, getRunID, getSink, getSink, getSinkModified, getSinkNames, getSinks, getSinksCollection, getSource, getSourceNames, getSources, getSourcesCollection, getSpawnStrategy, getStats, getSubmitPriority, getTags, getTrapNames, getTraps, getTrapsCollection, handleExecutorShutdown, hasListeners, hasStepListeners, initialize, initializeChildStats, initializeNewJobsMap, initSteps, internalStopAllJobs, isDebugEnabled, isInfoEnabled, isSkipFlow, isStopJobsOnExit, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, openSink, openSink, openSource, openSource, openTapForRead, openTapForWrite, openTrap, openTrap, prepare, presentSinkFields, presentSourceFields, registerShutdownHook, removeListener, removeStepListener, resourceExists, retrieveSinkFields, retrieveSourceFields, setCascade, setCheckpoints, setFlowSkipStrategy, setFlowStepGraph, setFlowStepStrategy, setName, setPlannerInfo, setSinks, setSources, setSpawnStrategy, setSubmitPriority, setTraps, start, stop, toString, updateSchemes, writeDOT, writeStepsDOT`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Hadoop2TezFlow

          protected Hadoop2TezFlow()

    - #### Hadoop2TezFlow

          public Hadoop2TezFlow(PlatformInfo platformInfo,
                        Map<Object,Object> properties,
                        org.apache.tez.dag.api.TezConfiguration flowConf,
                        FlowDef flowDef)

  - ### Method Detail

    - #### initFromProperties

          protected void initFromProperties(Map<Object,Object> properties)

      Overrides:
        `initFromProperties` in class `BaseFlow<org.apache.tez.dag.api.TezConfiguration>`

    - #### initConfig

          protected void initConfig(Map<Object,Object> properties,
                        org.apache.tez.dag.api.TezConfiguration parentConfig)

      Description copied from class: `BaseFlow`
      This method creates a new internal Config with the parentConfig as defaults using the properties to override the defaults.
      Specified by:
        `initConfig` in class `BaseFlow<org.apache.tez.dag.api.TezConfiguration>`
      Parameters:
        `properties` - of type Map
        `parentConfig` - of type Config

    - #### getFlowStagingPath

          public String getFlowStagingPath()

    - #### setConfigProperty

          protected void setConfigProperty(org.apache.tez.dag.api.TezConfiguration config,
                               Object key,
                               Object value)

      Specified by:
        `setConfigProperty` in class `BaseFlow<org.apache.tez.dag.api.TezConfiguration>`

    - #### newConfig

          protected org.apache.tez.dag.api.TezConfiguration newConfig(org.apache.tez.dag.api.TezConfiguration defaultConfig)

      Specified by:
        `newConfig` in class `BaseFlow<org.apache.tez.dag.api.TezConfiguration>`

    - #### getConfig

          @ProcessConfiguration
          public org.apache.tez.dag.api.TezConfiguration getConfig()

      Description copied from interface: `Flow`
      Method getConfig returns the internal configuration object.

      Any changes to this object will not be reflected in child steps. See `FlowConnector` for setting default properties visible to children. Or see `FlowStepStrategy` for setting properties on individual steps before they are executed.
      Returns:
        the default configuration of this Flow

    - #### getConfigCopy

          public org.apache.tez.dag.api.TezConfiguration getConfigCopy()

      Description copied from interface: `Flow`
      Method getConfigCopy returns a copy of the internal configuration object. This object can be safely modified.
      Returns:
        a copy of the default configuration of this Flow

    - #### getConfigAsProperties

          public Map<Object,Object> getConfigAsProperties()

      Description copied from interface: `Flow`
      Method getConfigAsProperties converts the internal configuration object into a `Map` of key value pairs.
      Returns:
        a Map of key/value pairs

    - #### getProperty

          public String getProperty(String key)

      Method getProperty returns the value associated with the given key from the underlying properties system.
      Parameters:
        `key` - of type String
      Returns:
        String

    - #### getFlowProcess

          public FlowProcess<org.apache.tez.dag.api.TezConfiguration> getFlowProcess()

    - #### isPreserveTemporaryFiles

          public boolean isPreserveTemporaryFiles()

      Method isPreserveTemporaryFiles returns false if temporary files will be cleaned when this Flow completes.
      Returns:
        the preserveTemporaryFiles (type boolean) of this Flow object.

    - #### internalStart

          protected void internalStart()

      Specified by:
        `internalStart` in class `BaseFlow<org.apache.tez.dag.api.TezConfiguration>`

    - #### stepsAreLocal

          public boolean stepsAreLocal()

      Description copied from interface: `Flow`
      Method jobsAreLocal returns true if all jobs are executed in-process as a single map and reduce task.
      Returns:
        boolean

    - #### internalClean

          protected void internalClean(boolean stop)

      Specified by:
        `internalClean` in class `BaseFlow<org.apache.tez.dag.api.TezConfiguration>`

    - #### internalShutdown

          protected void internalShutdown()

      Specified by:
        `internalShutdown` in class `BaseFlow<org.apache.tez.dag.api.TezConfiguration>`

    - #### getMaxNumParallelSteps

          protected int getMaxNumParallelSteps()

      Specified by:
        `getMaxNumParallelSteps` in class `BaseFlow<org.apache.tez.dag.api.TezConfiguration>`

    - #### getTotalSliceCPUMilliSeconds

          protected long getTotalSliceCPUMilliSeconds()

      Overrides:
        `getTotalSliceCPUMilliSeconds` in class `BaseFlow<org.apache.tez.dag.api.TezConfiguration>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.